Summary: Framework for Perl SAX2 XML Parsers
Name: perl-XML-SAX
Requires: perl
Packager: Horms <horms@verge.net.au>
Version: 0.12
Release: 1.rh.el.um.1
Copyright: As Perl:- Artistic License or GPL
Group: Development/Libraries/Perl
Source: http://www.cpan.org/modules/by-module/XML/XML-SAX-%{version}.tar.gz
Patch: perl-xml-sax-0.1.12-install_sax_pureperl.patch
URL: http://www.cpan.org/modules/by-module/XML/XML-SAX-%{version}.readme
BuildRoot: /var/tmp/%{name}-root
BuildPreReq: perl, perl-XML-NamespaceSupport
Requires: perl, perl-XML-NamespaceSupport
Buildarch: noarch
# rpm doesn't pick these up for some reason
Provides: perl(XML::SAX::PurePerl::DTDDecls)
Provides: perl(XML::SAX::PurePerl::DocType)
Provides: perl(XML::SAX::PurePerl::EncodingDetect)
Provides: perl(XML::SAX::PurePerl::XMLDecl)

%description 
XML::SAX consists of several framework classes for using and building
Perl SAX2 XML parsers, filters, and drivers. It is designed around the
need to be able to "plug in" different SAX parsers to an application
without requiring programmer intervention. Those of you familiar with
the DBI will be right at home. Some of the designs come from the Java
JAXP specification (SAX part), only without the javaness.

%prep
%setup -n XML-SAX-%version
%patch

%build
eval `perl -V:prefix`
echo n | perl Makefile.PL -- CCFLAGS="${RPM_OPT_FLAGS}" \
	"PREFIX=$RPM_BUILD_ROOT/$prefix"
make test

%install
# These eval statements used to be one line, but
# that doesn't appear to work on Red Hat 9
eval `perl -V:installsitelib`
eval `perl -V:installsitearch`
eval `perl -V:man3dir`
rm -rf "$RPM_BUILD_ROOT"
make install
rm -rf "$RPM_BUILD_ROOT/${installsitearch}/"
echo "${installsitelib}/XML/*" > filelist
echo "${man3dir}/*" >> filelist

%clean
rm -rf "$RPM_BUILD_DIR/XML-SAX-%{version}"
rm -rf "$RPM_BUILD_ROOT"

%files -f filelist
%defattr(-,root,root)
%doc README

%changelog
* Tue Mar 18 2003 Horms <horms@verge.net.au>
- Created for 1.12

